Subject: Re: git fetch --reference?

From: Jakub Narebski <[email-masked]>
Date: Wed, 15 Nov 2006 02:04:00 +0100

Michael K. Edwards wrote:

> When setting up a working area for kernel integration for a new
> embedded target, I generally do a "git clone --reference" so that the
> new area has its own repository (and its own branch structure) but
> most of the blobs come from a local reference copy.  But now that I'm
> integrating bits from several non-trivially divergent trees (mtd-2.6,
> netdev-2.6, linux-2.6.16.y, etc.), it would be nice to avoid
> re-downloading blobs for these additional remote branches, which are
> also available in the local reference copy.  Is it feasible to
> implement "git fetch --reference" for this purpose?  Or is there a
> better way to manage this sort of integration effort?

All (I think) that --reference does is to create alternates file.
You can simply add another alternate before fetch.
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git